{% extends "dashboard/base.html" %}
{% load general_tags %}
{% load i18n %}
{% load bootstrap %}
{% load static %}

{% block stylesheet %}

{% endblock stylesheet %}
<link href="{% static 'css/plugins/select2/select2.min.css' %}" rel="stylesheet">
{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>{% trans "Lista de Rúbricas" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Planificación" %}</a>
            </li>
            <li class="active">
                <strong>{% trans "Lista de Rúbricas" %}</strong>
            </li>
        </ol>
    </div>
    <div class="col-lg-2">

    </div>
</div>

{% endblock breadcrumb %}

{% block content %}

<div class="row">
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-title navy-bg">
                <h5 style="font-size:20px;">Rúbricas Activas</h5>
                <div class="ibox-tools">
                    <a class="collapse-link">
                        <i class="fa fa-chevron-up" style="color:white"></i>
                    </a>
                </div>
            </div>
            <div class="ibox-content">
               <div class="row center-block">
                   <div class="col-md-11">
                        <input type="text" class="form-control input-sm m-b-xs" id="filter" placeholder="Buscar rúbrica ">                       
                   </div>
                   <div class="col-md-1">
                        <a href="{% url 'planning_rubric_add' %}" class="btn btn-primary btn-sm"><i class="fa  fa-plus"></i> Agregar</a>                       
                   </div>
               </div>
               <div class="row">
                   
               </div>
                <div class="project-list">
                    <table class="footable table table-stripped" data-page-size="5" data-filter=#filter>
                        <thead>
                        <tr>
                            <th>Titulo</th>
                            <th>Carrera</th>
                            <th>Fecha</th>
                            <th>Asignatura</th>
                            <th>Acciones</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for rubric in rubrics %}
                        {% if rubric.course %}
                         <tr>
                            <td class="col-md-3">{{rubric.name}}</td>
                            <td class="col-md-2">{{rubric.carreer}}</td>
                            <td class="col-md-3">{{rubric.date}}</td>
                            <td class="col-md-2">{{rubric.course.name}}</td>
                            <td class="col-md-2 project-action" style="text-align:left">
                                <a  href="{% url 'planning_rubric_details' rubric.pk %}" class="btn btn-success btn-sm"><i class="fa fa-info-circle"></i> Detalles </a>
                                <a href="{% url 'rubric_desactivate' rubric.course.pk %}" class="btn btn-danger btn-sm"><i class="fa fa-check"></i> Desactivar </a>
                            </td>
                        </tr>
                        {% endif %}
                        {% endfor %}
                        </tbody>
                        <tfoot>
                        <tr>
                            <td colspan="5">
                                <ul class="pagination pull-right"></ul>
                            </td>
                        </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-title blue-bg">
                <h5 style="font-size:20px;">Rúbricas Historicas</h5>
                <div class="ibox-tools">
                    <a class="collapse-link">
                        <i class="fa fa-chevron-up" style="color:white"></i>
                    </a>
                </div>
            </div>
            <div class="ibox-content">
<!--
               <div class="row center-block">
                   <div class="col-md-12">
                        <input type="text" class="form-control input-sm m-b-xs" id="filter" placeholder="Buscar rúbrica ">                       
                   </div>
               </div>
-->
               <div class="row">
                   
               </div>
                <div class="project-list">
                    <table class="footable table table-stripped" data-page-size="5" data-filter=#filter>
                        <thead>
                        <tr>
                            <th>Titulo</th>
                            <th>Carrera</th>
                            <th>Fecha</th>
                            <th>Autor</th>
                            <th>Acciones</th>
                        </tr>
                        </thead>
                        <tbody>
                       {% for rubric in rubrics %}
                       {% if not rubric.course %}
                        <tr>
                            <td class="col-md-3">{{rubric.name}}</td>
                            <td class="col-md-2">{{rubric.carreer}}</td>
                            <td class="col-md-2">{{rubric.date}}</td>
                            <td class="col-md-2">{{rubric.author.first_name}} {{rubric.author.last_name}}</td>
                            <td class="col-md-3 project-actions" style="text-align:left">
                                <a  href="{% url 'planning_rubric_details' rubric.pk %}" class="btn btn-success btn-sm"><i class="fa fa-info-circle"></i> Detalles </a>
                                <button data-toggle="modal" data-target="#exampleModal" data-rubric_pk="{{rubric.pk}}" class="btn btn-primary btn-sm"><i class="fa fa-check"></i> Activar </button>
                                <a href="{% url 'planning_rubric_delete' rubric.pk %}" class="btn btn-danger btn-sm"><i class="fa fa-times"></i> Eliminar </a>
                            </td>
                        </tr>
                        {% endif %}
                        {% endfor %}
                        </tbody>
                        <tfoot>
                        <tr>
                            <td colspan="5">
                                <ul class="pagination pull-right"></ul>
                            </td>
                        </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- modal block -->

        <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                  <h1 class="text-center">Escoja la asignatura en la cual desea activar la rúbrica.</h1>
              </div>
              <div class="modal-body">
                <div class="form-group">
                  <label for="asignaturas">Asignaturas:</label>
                  <select class="form-control" id="asignaturas">
                  </select>
                </div>
              </div>
              <div class="modal-footer">
                <button type="button" data-rubric_pk = "" id="activar" class="btn btn-primary">Activar</button>
                <button type="button" id="cancelar" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
              </div>
            </div>
          </div>
        </div>

<!-- end modal block -->

{% endblock content %}

{% block javascript %}
<script src="{% static 'js/plugins/select2/select2.full.min.js' %}"></script>

<script>
    $(document).ready(function(){
        
        $('#exampleModal').on('show.bs.modal', function (event) {

            var button = $(event.relatedTarget) // Button that triggered the modal
            
            var rubric_pk = button.data('rubric_pk') // Extract info from data-* attributes
            var modal = $(this);
            $("#activar").data("rubric_pk", rubric_pk);
            data = {
                rubric_pk : rubric_pk,
                csrfmiddlewaretoken: '{{ csrf_token }}'
            }
            $.post("{% url 'get_subject' %}",data,function(response){
                $("#asignaturas").html(response.course_option);
                
            });
        });
        
        
        $('#activar').on("click",function(){
            var rubric_pk = $(this).data("rubric_pk");
            var course_pk = $("#asignaturas").val();
             data = {
                rubric_pk : rubric_pk,
                course_pk : course_pk,
                csrfmiddlewaretoken: '{{ csrf_token }}'
            }
            $.post("{% url 'rubric_activate' %}",data,function(response){
                $( "#cancelar" ).trigger( "click" );
                location.reload();
            });
            
        });
        
    })

</script>


{% endblock javascript %}
